JobStatusType (gCube Social Networking Library 1.15.0-SNAPSHOT API)
Date: 2017-05-14

org.gcube.portal.databook.shared

## Enum JobStatusType

- java.lang.Object
- - java.lang.Enum<JobStatusType>
  - - org.gcube.portal.databook.shared.JobStatusType

- All Implemented Interfaces:
    Serializable, Comparable<JobStatusType>

      public enum JobStatusType
      extends Enum<JobStatusType>

  Version:
    0.1 Dec 2012
  Author:
    Massimiliano Assante, ISTI-CNR

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCELLED` The job has been cancelled.
    `CANCELLING` The job is in the process of being cancelled.
    `DELETED` The job has been deleted.
    `DELETING` The job is in the process of being deleted.
    `EXECUTING` The job is being executed by job processor.
    `FAILED` he job execution has failed.
    `NEW` The job is new.
    `SUBMITTED` The job is submitted for execution.
    `SUCCEEDED` The job has completed successfully
    `TIMED_OUT` The job execution has timed out.
    `WAITING` The job is waiting for available job processor.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JobStatusType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JobStatusType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CANCELLED

          public static final JobStatusType CANCELLED

      The job has been cancelled.

    - #### CANCELLING

          public static final JobStatusType CANCELLING

      The job is in the process of being cancelled.

    - #### DELETED

          public static final JobStatusType DELETED

      The job has been deleted.

    - #### DELETING

          public static final JobStatusType DELETING

      The job is in the process of being deleted.

    - #### EXECUTING

          public static final JobStatusType EXECUTING

      The job is being executed by job processor.

    - #### FAILED

          public static final JobStatusType FAILED

      he job execution has failed.

    - #### NEW

          public static final JobStatusType NEW

      The job is new.

    - #### SUBMITTED

          public static final JobStatusType SUBMITTED

      The job is submitted for execution.

    - #### SUCCEEDED

          public static final JobStatusType SUCCEEDED

      The job has completed successfully

    - #### TIMED_OUT

          public static final JobStatusType TIMED_OUT

      The job execution has timed out.

    - #### WAITING

          public static final JobStatusType WAITING

      The job is waiting for available job processor.

  - ### Method Detail

    - #### values

          public static JobStatusType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JobStatusType c : JobStatusType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JobStatusType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017. All Rights Reserved.